<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Plantilla</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Administrador</a>
            </li>
            <li class="breadcrumb-item active">Agregar Plantilla</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nueva Plantilla</strong></h2>
          </div>
          <div class="body">
            <form class="m-4" #FormGroupDirective [formGroup]="PlantillaForm" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Título Plantilla de Receta</mat-label>
                    <input matInput formControlName="Nombre" required>
                    <mat-error *ngIf="PlantillaForm.get('Nombre').hasError('required')">
                      El Título es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3">
                    <mat-label>Nota de recetas</mat-label>
                    <input type="text" matInput formControlName="Nota" required>
                    <mat-error *ngIf="PlantillaForm.get('Nota').hasError('required')">
                      La nota es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button class="mr-3" [disabled]="!PlantillaForm.valid " mat-raised-button color="primary">Guardar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
